package mbHP;
import java.math.BigDecimal;
public class Example {
	
	BigDecimal xmin,xmax,ymin,ymax;
	int paletteIndex;
	int mandelbrotColorIndex;
	int iterationsIndex;
	int paletteOffset;
	boolean stretchPalette;
	
	public Example() {
		this(new BigDecimal("-2.333"), new BigDecimal("1"), 
				new BigDecimal("-1.25"), new BigDecimal("1.25"), 1,1,1,1,false);
	}
	
	public Example(BigDecimal xmin, BigDecimal xmax, BigDecimal ymin, BigDecimal ymax) {
		this(xmin,xmax,ymin,ymax,1,1,1,1,false);
	}

	public Example(double xmin, double xmax, double ymin, double ymax,
			int paletteIndex, int mandelbrotColorIndex, int iterationsIndex,
			int paletteOffset, boolean stretchPalette) {
		this(new BigDecimal(""+xmin), new BigDecimal(""+xmax), new BigDecimal(""+ymin),
				new BigDecimal(""+ymax), paletteIndex, mandelbrotColorIndex,
				iterationsIndex, paletteOffset, stretchPalette);
	}
	
	public Example(BigDecimal xmin, BigDecimal xmax, BigDecimal ymin, BigDecimal ymax,
			int paletteIndex, int mandelbrotColorIndex, int iterationsIndex,
			int paletteOffset, boolean stretchPalette) {
		this.xmin = xmin;
		this.xmax = xmax;
		this.ymin = ymin;
		this.ymax = ymax;
		this.paletteIndex = paletteIndex;
		this.mandelbrotColorIndex = mandelbrotColorIndex;
		this.iterationsIndex = iterationsIndex;
		this.paletteOffset = paletteOffset;
		this.stretchPalette = stretchPalette;
	}
	
	public Example(MandelbrotCanvas canvas) {
		xmin = canvas.getXmin();
		xmax = canvas.getXmax();
		ymin = canvas.getYmin();
		ymax = canvas.getYmax();
		paletteIndex = canvas.getSelectedPalette();
		mandelbrotColorIndex = canvas.getSelectedMandelbrotColor();
		stretchPalette = canvas.getStretchPalette();
		paletteOffset = canvas.getPaletteOffset();
		iterationsIndex = canvas.getSelectedIterations();
	}
	

}
