package mbHP;
public class ProgressiveBlocksMandComp extends MandComp {
		
	public void run(int myDrawCount) {
		int[] rgb = new int[imageHeight];
		for (int block = 128; block > 1; block /= 2) {
			for (int col = block/2; col-block/2 < imageWidth; col += block) {
				if (!running || drawCount != myDrawCount)
					return;
				if (col < imageWidth)
					computeBlockColumn(col,block,rgb);
				else
					computeBlockColumn(imageWidth-1,block,rgb);
				synchronized(this) {
					if (!running || drawCount != myDrawCount)
						return;
					for (int i = col-block/2; i < col+block/2 && i < imageWidth; i++)
						raster.setPixels(i,0,1,imageHeight,rgb);
					owner.newData(col-block/2,0,block,imageHeight);
				}
				Thread.yield();
			}
		}
		for (int i = 0; i < imageWidth; i++) {
			if (!running || drawCount != myDrawCount)
				return;
			computeColumn(i,rgb);
			synchronized(this) {
				if (!running || drawCount != myDrawCount)
					return;
				raster.setPixels(i,0,1,imageHeight,rgb);
				owner.newData(i,0,1,imageHeight);
			}
			Thread.yield();
		}	
	}
	
	
}